<!DOCTYPE html>
<html lang="en" dir="ltr">
  <head>
    <meta charset="utf-8">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <link rel="stylesheet" href="css/style.css">
    <title></title>
  </head>
  <body>
    <main class="container my-5 h-100">

    <?php require "blocks/alert_messages.php" ?>

    <form enctype="multipart/form-data" action="registration.php" id="registrationForm" class="form-signin col-6 m-auto shadow-lg p-3 mb-5 bg-white rounded" method="POST">
      <h4 class="text-center mb-2">Registration</h4>

      <div class="my-2" id="placeForPreviewUploadFile"></div>
      <div class="input-group mb-3">
        <div class="input-group-prepend">
          <span class="input-group-text" id="inputGroupFileAddon01">Upload</span>
        </div>
        <div class="custom-file">
          <input type="file" name="avatar" class="custom-file-input" id="avatarUploadInput" aria-describedby="inputGroupFileAddon01">
          <label class="custom-file-label" for="inputGroupFile01">Choose file</label>
        </div>
      </div>
      <?php if (!empty($field_avatar_error)): ?>
        <p class="text-danger p-1 rounded border"><?= $field_avatar_error ?></p>
      <?php endif; ?>

      <div class="form-label-group mb-2">
        <input type="text" id="inputEmail" name="email" class="form-control <?= empty($field_email_error) ? "" : "has-error" ?>" placeholder="Email" aria-label="Email" aria-describedby="basic-addon1">
        <?php if (!empty($field_email_error)): ?>
          <p class="text-danger p-1 rounded border"><?= $field_email_error ?></p>
        <?php endif; ?>
      </div>

      <div class="form-label-group mb-2">
        <input type="text" id="inputName" name="name" class="form-control <?= empty($field_name_error) ? "" : "has-error" ?>" placeholder="Name">
        <?php if (!empty($field_name_error)): ?>
          <p class="text-danger p-1 rounded border"><?= $field_name_error ?></p>
        <?php endif; ?>
      </div>
      
      <div class="form-label-group mb-2">
        <input type="text" id="inputSurname" name="surname" class="form-control <?= empty($field_surname_error) ? "" : "has-error" ?>" placeholder="Surname">
        <?php if (!empty($field_surname_error)): ?>
          <p class="text-danger p-1 rounded border"><?= $field_surname_error ?></p>
        <?php endif; ?>
      </div>

      <div class="form-label-group mb-2">
        <input type="date" id="inputBirthday" name="birthday" class="form-control <?= empty($field_birthday_error) ? "" : "has-error" ?>" placeholder="Birthday">
        <?php if (!empty($field_birthday_error)): ?>
          <p class="text-danger p-1 rounded border"><?= $field_birthday_error ?></p>
        <?php endif; ?>
      </div>

      <div class="form-label-group mb-2">
        <input type="password" id="inputPassword" name="password" class="form-control <?= empty($field_password_error) ? "" : "has-error" ?>" placeholder="Password" autocomplete="current-password">
        <?php if (!empty($field_password_error)): ?>
          <p class="text-danger p-1 rounded border"><?= $field_password_error ?></p>
        <?php endif; ?>
      </div>

      <button class="btn btn-lg btn-success btn-block" type="submit">Submit</button>
      <a href="/"class="btn btn-lg btn-primary btn-block">Back to log in</a>
    </form>
    </main>

    <?php require "blocks/js_scripts.php" ?>
  </body>
</html>
